## prometheus-phpfpm-exporter 0.6.0

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Needs to be defined before including Makefile.common to auto-generate targets
DOCKER_ARCHS ?= amd64 armv7 arm64 ppc64le s390x
DOCKER_IMAGE_NAME ?= phpfpm-exporter

all:: vet checkmetrics common-all

include Makefile.common

PROMTOOL_DOCKER_IMAGE ?= $(shell docker pull -q quay.io/prometheus/prometheus:latest || echo quay.io/prometheus/prometheus:latest)
PROMTOOL ?= docker run -i --rm -w "$(PWD)" -v "$(PWD):$(PWD)" --entrypoint promtool $(PROMTOOL_DOCKER_IMAGE)

.PHONY: checkmetrics
checkmetrics:
	@echo ">> checking metrics for correctness"
	for file in test/*.metrics; do $(PROMTOOL) check metrics < $$file || exit 1; done

=== debian/changelog ===
prometheus-phpfpm-exporter (0.6.0-1) unstable; urgency=medium

  [ Nicolas Peugnet ]
  * Initial release (Closes: #1077531)
  * Use 'Enhances: php-fpm' like other Prometheus exporters
  * Include opcache exporter and Grafana dashboards as examples

  [ Otto Kekäläinen ]
  * Simplify debian/rules to produce a cleaner package and make rules and
    debian/control adhere to what dh_golang(1) recommends

 -- Otto Kekäläinen <otto@debian.org>  Sat, 28 Dec 2024 12:20:53 -0800

=== debian/control ===
Source: prometheus-phpfpm-exporter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Nicolas Peugnet <nicolas@club1.fr>,
 Otto Kekäläinen <otto@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev,
               golang-github-tomasen-fcgi-client-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-prometheus-client-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-phpfpm-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-phpfpm-exporter.git
Homepage: https://github.com/Lusitaniae/phpfpm_exporter
XS-Go-Import-Path: github.com/Lusitaniae/phpfpm_exporter

Package: prometheus-phpfpm-exporter
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: php-fpm
Built-Using: ${misc:Static-Built-Using}
Description: Prometheus exporter for PHP-FPM
 Prometheus Exporter for the PHP-FPM status page.
 .
 Metrics are scrapped via unix socket and made available on port 9253.
 .
 This exporter also provides a way for embedding the output of arbitrary
 PHP scripts into its metrics page, analogous to the node exporter's
 textfile collector.
 .
 It supports monitoring multiple pools which can be provided either one
 by one or with a directory, and there are example Grafana dashboards
 for both single and multi-pool configurations.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

MAINTAINER_EMAIL := $(shell sed -n 's/^Maintainer:.*<\(.*\)>/\1/p' debian/control)
SOURCE_TIMESTAMP = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' +%Y%m%d-%H:%M:%S)

# Populate the "Build context" section in prometheus/common/version/info.go
METAPKG := github.com/prometheus/common
BUILDFLAGS = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.BuildUser=$(MAINTAINER_EMAIL)\
    -X $(METAPKG)/version.BuildDate=$(SOURCE_TIMESTAMP)"

BINNAME := $(DEB_SOURCE)
MAN_WHATIS := $(BINNAME) \\- Prometheus exporter for PHP-FPM statistics
MAN_PROG := $(shell echo $(BINNAME) | tr [:lower:] [:upper:])
MAN_MONTH = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')

# Enable verbose build to see all GO* flags echoed by 'go env' and more
#export DH_VERBOSE=1

%:
	dh $@ --builddir=debian/build

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)

execute_before_dh_installman:
	debian/build/bin/$(BINNAME) --help-man > debian/build/$(BINNAME).1
	# Fix man page title header and footer
	sed -i '/^.TH .*/c.TH $(MAN_PROG) "1" "$(MAN_MONTH)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        debian/build/$(BINNAME).1
	# Populate man page whatis line
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n$(MAN_WHATIS)' debian/build/$(BINNAME).1

override_dh_auto_install:
	# The upstream name is too generic for Debian, so use the package name
	# instead, which is more unique
	mv -v debian/build/bin/phpfpm_exporter debian/build/bin/$(BINNAME)
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/Lusitaniae/phpfpm_exporter/tags .*/v?(\d\S*)\.tar\.gz debian
